> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the current Company

> Fetch basic information about the authenticated Company, including which chat platform is integrated.

## Usage


## OpenAPI

````yaml get /v1/company
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/company:
    get:
      tags:
        - Company
      summary: Retrieve the current Company
      description: >-
        Fetch basic information about the authenticated Company, including which
        chat platform is integrated.
      responses:
        '200':
          description: Company show
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/company'
        '401':
          description: Unauthorized
      security:
        - bearer: []
components:
  schemas:
    company:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Company
        name:
          type: string
          readOnly: true
          description: The Company name
        slug:
          type: string
          readOnly: true
          description: The Company slug
        domains:
          type: array
          items:
            type: string
          readOnly: true
          description: The email domains associated with the Company
        website_url:
          type: string
          nullable: true
          readOnly: true
          description: The Company website URL
        people_alias:
          type: string
          nullable: true
          readOnly: true
          description: How the Company refers to its people (e.g. "employees", "members")
        has_portal_access:
          type: boolean
          readOnly: true
          description: Whether the Company has access to the employee portal
        logo_url:
          type: string
          nullable: true
          readOnly: true
          description: URL of the Company logo
        widget_icon_url:
          type: string
          nullable: true
          readOnly: true
          description: URL of the Company widget icon
        has_slack_enabled:
          type: boolean
          readOnly: true
          description: Whether Slack is integrated for the Company
        has_ms_teams_enabled:
          type: boolean
          readOnly: true
          description: Whether Microsoft Teams is integrated for the Company
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````